#version 330 core
layout (location = 0) in vec4 inPos;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;
uniform vec4 lightDir;

void main()
{    
	gl_Position = projection * view * model * inPos;
}